
Jupiter - Zadanie #1898
Zadanie # 1885 (Nowy): uwagi ze spotkania
import: dodać przejście do dokumentu 
2017-12-13 10:22 - Łukasz Waśkiewicz

Status: Rozwiązany Start date: 2017-12-13
Priority: Normalny Due date:
Assignee: Jarosław Bąbel % Done: 100%
Category: ui Estimated time: 0.00 hour
Target version: 0.3
Developer: Łukasz Waśkiewicz Tester: Jarosław Bąbel
Description

dodać przejście do dokumentu jeśli dokument jest dostępny (jest zaimportowany)

Associated revisions
Revision 67032539 - 2017-12-14 10:03 - Łukasz Waśkiewicz

refs #1898 dodany przycisk do dokumentu

Revision c26524e9 - 2017-12-14 10:23 - Łukasz Waśkiewicz

refs #1898 dodany przycisk do dokumentu, aot fix

Revision 4d473d58 - 2017-12-18 15:06 - Łukasz Waśkiewicz

refs #1898 zablokowane przejście z importu do dokumentu, jeśli skasowany

Revision ae922416 - 2018-01-30 07:20 - Łukasz Waśkiewicz

refs #1898 poprawa sprawdzanie usunięcia zasobu

History
#1 - 2017-12-14 10:12 - Łukasz Waśkiewicz
- Status changed from Nowy to Odpowiedź
- % Done changed from 0 to 80

dodany przycisk z przejściem do dokumentu
przycisk pojawia się tylko jeśli import zakończył się sukcesem
ale jest problem jeśli po imporcie ktoś skasował zasób, bo dostajemy błąd, można dodać sprawdzanie per dokument czy jest w documentStorage, ale
to będzie spore obciążenie do backendu
na dodatek dostajemy 403 i na chwile obecną komunikat "Błąd połączenia" reconect odlicza jak odliczy powoduje odświeżenie błędnej strony.... i na
dodatek nie da się z tego wydostać nawet wstecz (po wstecz reconnect zostaje) tylko wstecz + F5, lub manipulacja linkiem

jedyne pomysły jaki mam to sprawdzanie czy dokument jest przed nawigacją do niego i okno o skasowaniu lub zmiana błedu na 404 i komunikat o
braku dokumentu (to rozwiąże też problem przy nawigacji do dokumentu z np procesów publikacji [tam pewnie jest podobny problem])
#2 - 2017-12-14 10:12 - Łukasz Waśkiewicz
- Assignee changed from Łukasz Waśkiewicz to Michał Komar

#3 - 2017-12-14 13:08 - Michał Komar
- Category set to ui
- Assignee changed from Michał Komar to Łukasz Waśkiewicz
- Target version set to 0.3

Trzeba zrobić tak jak piszesz - weryfikacja przed nawigacją. Można po błędzie weryfikacji wyświetlić po prostu inną ikonkę na przycisku do nawigacji (
z jakimś wykrzyknikiem) i tooltip mówiący o tym, że dokument nie istnieje. Co ty na to ?

#4 - 2017-12-18 15:14 - Łukasz Waśkiewicz
- Status changed from Odpowiedź to Testowanie
- Assignee changed from Łukasz Waśkiewicz to Michał Komar
- % Done changed from 80 to 100

#5 - 2017-12-21 11:02 - Łukasz Waśkiewicz
- Assignee changed from Michał Komar to Jarosław Bąbel
- Tester Jarosław Bąbel added

#6 - 2018-01-19 11:15 - Jarosław Bąbel
- Status changed from Testowanie to Odpowiedź
- Assignee changed from Jarosław Bąbel to Łukasz Waśkiewicz

    -  Z listy zaimportowanych plików można przejść do dokumentu, który jest "w trakcie usuwania".

    1. Importować sampleBwmeta.xml do DML
    2. przejść do drzewka i usunąć zaimportowane czasopismo (pojawia się skreślenie)
    3. przejść do listy zaimportowanych plików i kliknąć na podgląd czasopisma
    4. przechodzimy na ekran podglądu, ale zakładki edycja/podgląd pozostają puste

#7 - 2018-01-30 07:27 - Łukasz Waśkiewicz
- Status changed from Odpowiedź to Testowanie
- Assignee changed from Łukasz Waśkiewicz to Jarosław Bąbel

poprawiłem sprawdzanie usunięcia, użyłem cache (#1691)

#8 - 2018-02-02 13:10 - Jarosław Bąbel
- Status changed from Testowanie to Odpowiedź
- Assignee changed from Jarosław Bąbel to Łukasz Waśkiewicz

Trochę zaskakujące jest to, że ten dokument można nadal edytować. Po zapisaniu pojawia się informacja, że "Dokument usunięty", ale zmiany są
zapisane.

Nie umiem powiedzieć, czy to źle, czy dobrze.
Czy zapisane zmiany publikują się do INFONY?

#9 - 2018-02-06 12:59 - Łukasz Waśkiewicz
- Assignee changed from Łukasz Waśkiewicz to Jarosław Bąbel

to jest zupełnie inny problem, wydzieliłem nowe zadanie

#10 - 2018-02-12 13:35 - Jarosław Bąbel
- Status changed from Odpowiedź to Rozwiązany
